# Uses of Class
net.shibboleth.idp.attribute.resolver.ResolverDataConnectorDependency

Packages that use ResolverDataConnectorDependency
Package
Description
net.shibboleth.idp.attribute.resolver
A system which is capable of retrieving a collection of `IdPAttribute`s from a variety of locations, transform them, and associate a set of protocol-specific encoders to them.
net.shibboleth.idp.attribute.resolver.spring.impl
Implementation of top level attribute resolvers.
net.shibboleth.idp.attribute.resolver.testing
Testing utility classes.

## Uses of ResolverDataConnectorDependency in net.shibboleth.idp.attribute.resolver

Fields in net.shibboleth.idp.attribute.resolver with type parameters of type ResolverDataConnectorDependency
Modifier and Type
Field
Description
`private Set<ResolverDataConnectorDependency>`
AbstractResolverPlugin.`dataConnectorDependencies`
The `ResolverDataConnectorDependency`s this plug-in depends on.
Methods in net.shibboleth.idp.attribute.resolver that return types with arguments of type ResolverDataConnectorDependency
Modifier and Type
Method
Description
`Set<ResolverDataConnectorDependency>`
AbstractResolverPlugin.`getDataConnectorDependencies()`
Gets the unmodifiable list of dependencies for this plugin.
`Set<ResolverDataConnectorDependency>`
ResolvedAttributeDefinition.`getDataConnectorDependencies()`
Gets the unmodifiable list of dependencies for this plugin.
`Set<ResolverDataConnectorDependency>`
ResolvedDataConnector.`getDataConnectorDependencies()`
Gets the unmodifiable list of dependencies for this plugin.
`Set<ResolverDataConnectorDependency>`
ResolverPlugin.`getDataConnectorDependencies()`
Get the unmodifiable list of data connector dependencies for this plugin.
Method parameters in net.shibboleth.idp.attribute.resolver with type arguments of type ResolverDataConnectorDependency
Modifier and Type
Method
Description
`void`
AbstractResolverPlugin.`setDataConnectorDependencies(Set<ResolverDataConnectorDependency> dependencies)`
Sets the list of dependencies for this plugin.

## Uses of ResolverDataConnectorDependency in net.shibboleth.idp.attribute.resolver.spring.impl

Fields in net.shibboleth.idp.attribute.resolver.spring.impl with type parameters of type ResolverDataConnectorDependency
Modifier and Type
Field
Description
`private Set<ResolverDataConnectorDependency>`
AbstractResolverPluginFactoryBean.`dataConnectorDependencies`
Plugin property "dataConnectorDependencies".
Methods in net.shibboleth.idp.attribute.resolver.spring.impl that return types with arguments of type ResolverDataConnectorDependency
Modifier and Type
Method
Description
`protected Class<ResolverDataConnectorDependency>`
InputDataConnectorParser.`getBeanClass(Element element)`
`Set<ResolverDataConnectorDependency>`
AbstractResolverPluginFactoryBean.`getDataConnectorDependencies()`
Bean getter in support of `AbstractResolverPlugin.setDataConnectorDependencies(Set)`.
Method parameters in net.shibboleth.idp.attribute.resolver.spring.impl with type arguments of type ResolverDataConnectorDependency
Modifier and Type
Method
Description
`void`
AbstractResolverPluginFactoryBean.`setDataConnectorDependencies(Set<ResolverDataConnectorDependency> dependencies)`
Bean setter in support of `AbstractResolverPlugin.setDataConnectorDependencies(Set)`.

## Uses of ResolverDataConnectorDependency in net.shibboleth.idp.attribute.resolver.testing

Methods in net.shibboleth.idp.attribute.resolver.testing that return ResolverDataConnectorDependency
Modifier and Type
Method
Description
`static ResolverDataConnectorDependency`
TestSources.`makeDataConnectorDependency(String connectorId, String attributeId)`
Summon up appropriate `ResolverDataConnectorDependency`.